Loading...
Searching...
No Matches
casacore::MVAngle::Format Class Reference

Format structure. More...

`#include <MVAngle.h>`

## Public Member Functions

| Format (MVAngle::formatTypes intyp=MVAngle::ANGLE, uInt inprec=0)
| Format (uInt inprec)
| Format (uInt intyp, uInt inprec)
| Construct from type and precision (present due to overlaoding problems).

## Private Attributes

MVAngle::formatTypes | typ
uInt | prec

## Friends

class | MVAngle

## Detailed Description

Format structure.

Definition at line 276 of file MVAngle.h.

## Constructor & Destructor Documentation

## Format() [1/3]

casacore::MVAngle::Format::Format | ( | MVAngle::formatTypes | intyp = MVAngle::ANGLE,
|  | uInt | inprec = 0 )

inline

Definition at line 279 of file MVAngle.h.

References casacore::MVAngle::ANGLE, prec, and typ.

## Format() [2/3]

casacore::MVAngle::Format::Format | ( | uInt | inprec | ) |

inline

Definition at line 282 of file MVAngle.h.

References casacore::MVAngle::ANGLE, MVAngle, prec, and typ.

## Format() [3/3]

casacore::MVAngle::Format::Format | ( | uInt | intyp,
|  | uInt | inprec )

inline

Construct from type and precision (present due to overlaoding problems).

Definition at line 285 of file MVAngle.h.

References MVAngle, prec, and typ.

## Friends And Related Symbol Documentation

## MVAngle

friend class MVAngle

friend

Definition at line 278 of file MVAngle.h.

References MVAngle.

Referenced by Format(), Format(), and MVAngle.

## Member Data Documentation

## prec

uInt casacore::MVAngle::Format::prec

private

Definition at line 289 of file MVAngle.h.

Referenced by Format(), Format(), and Format().

## typ

MVAngle::formatTypes casacore::MVAngle::Format::typ

private

Definition at line 288 of file MVAngle.h.

Referenced by Format(), Format(), and Format().

The documentation for this class was generated from the following file:

- casa/Quanta/MVAngle.h